Bug 493172

Summary: Dead keys not working in some applications (xterm, emacs)
Product: [Fedora] Fedora Reporter: Joni Yrjana <joyr>
Component: imsettingsAssignee: Akira TAGOH <tagoh>
Status: CLOSED UPSTREAM QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 10CC: dnovotny, i18n-bugs, jvromans, petersen, tagoh
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-11-25 00:30:22 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
X session error log none

Description Joni Yrjana 2009-03-31 16:44:57 EDT
Created attachment 337405 [details]
X session error log

Description of problem:
Not sure if this is the correct component to report on.
 
Dead keys stopped working for some applications, not sure when.
I'm using Gnome, layout is Finland layout, keyboard model is Evdev-managed keyboard.
They seem to work in all GTK applications (tested: gedit, firefox, x-chat) and also QT applications (qtconfig-qt4), but not on some (xterm, emacs).

Also tried with Sweden layout and Generic 105-key (Intl) PC model with same problems. I'm unable to set the "Default" radio-button in keyboard preferences but the layout changes if I drag&drop the wanted layout to first in list.


Version-Release number of selected component (if applicable):
# rpm -qa imsettings* scim* xkey* xterm* emacs* *font* *xim* | sort
abyssinica-fonts-1.0-2.fc8.noarch
baekmuk-ttf-fonts-common-2.2-9.fc10.noarch
baekmuk-ttf-fonts-gulim-2.2-9.fc10.noarch
bitmap-fonts-0.3-6.fc10.noarch
cjkunifonts-uming-0.2.20080216.1-11.fc10.noarch
dejavu-fonts-2.26-2.fc10.noarch
dejavu-fonts-experimental-2.26-2.fc10.noarch
emacs-22.3-4.fc10.i386
emacs-common-22.3-4.fc10.i386
emacs-gnuplot-4.2.3-1.fc10.i386
emacs-lua-20071122-5.fc9.noarch
emacs-nxml-mode-0.20041004-7.fc10.noarch
fontconfig-2.6.0-3.fc10.i386
fontconfig-devel-2.6.0-3.fc10.i386
fontpackages-filesystem-1.20-1.fc10.noarch
ghostscript-fonts-5.50-19.fc10.noarch
imsettings-0.105.1-4.fc10.i386
imsettings-libs-0.105.1-4.fc10.i386
jomolhari-fonts-0.003-5.fc10.noarch
kacst-fonts-2.0-1.fc10.noarch
khmeros-fonts-base-5.0-3.fc10.noarch
liberation-fonts-1.04.92-1.fc10.noarch
libfontenc-1.0.4-6.fc10.i386
libfontenc-devel-1.0.4-6.fc10.i386
libgxim-0.3.2-4.fc10.i386
libXfont-1.3.3-1.fc10.i386
libXfont-devel-1.3.3-1.fc10.i386
lklug-fonts-0.2.2-6.fc10.noarch
lohit-fonts-bengali-2.3.1-1.fc10.noarch
lohit-fonts-gujarati-2.3.1-1.fc10.noarch
lohit-fonts-hindi-2.3.1-1.fc10.noarch
lohit-fonts-kannada-2.3.1-1.fc10.noarch
lohit-fonts-maithili-2.3.1-1.fc10.noarch
lohit-fonts-malayalam-2.3.1-1.fc10.noarch
lohit-fonts-oriya-2.3.1-1.fc10.noarch
lohit-fonts-punjabi-2.3.1-1.fc10.noarch
lohit-fonts-tamil-2.3.1-1.fc10.noarch
lohit-fonts-telugu-2.3.1-1.fc10.noarch
padauk-fonts-2.4-2.fc10.noarch
paktype-fonts-2.0-2.fc8.noarch
scim-1.4.7-35.fc10.i386
scim-anthy-1.2.7-1.fc10.i386
scim-bridge-0.4.15-8.fc10.i386
scim-bridge-gtk-0.4.15-8.fc10.i386
scim-bridge-qt-0.4.15-8.fc10.i386
scim-chewing-0.3.3-0.fc10.i386
scim-hangul-0.3.2-4.fc9.i386
scim-libs-1.4.7-35.fc10.i386
scim-m17n-0.2.2-3.fc9.i386
scim-python-0.1.13rc1-1.fc10.i386
scim-python-pinyin-0.1.13rc1-1.fc10.i386
scim-qtimm-0.9.4-11.fc10.i386
scim-rawcode-1.4.7-35.fc10.i386
smc-fonts-meera-04.1-1.fc10.noarch
stix-fonts-0.9-7.fc10.noarch
texlive-texmf-errata-fonts-2007-4.fc9.noarch
texlive-texmf-fonts-2007-26.fc10.noarch
thaifonts-scalable-0.4.9-3.fc9.noarch
un-core-fonts-dotum-1.0.2-0.6.080608.fc10.noarch
urw-fonts-2.4-6.fc10.noarch
vlgothic-fonts-20090204-2.fc10.noarch
vlgothic-fonts-common-20090204-2.fc10.noarch
xkeyboard-config-1.4-7.fc10.noarch
xorg-x11-fonts-100dpi-7.2-6.fc9.noarch
xorg-x11-fonts-75dpi-7.2-6.fc9.noarch
xorg-x11-fonts-ISO8859-1-100dpi-7.2-6.fc9.noarch
xorg-x11-fonts-ISO8859-1-75dpi-7.2-6.fc9.noarch
xorg-x11-fonts-misc-7.2-6.fc9.noarch
xorg-x11-fonts-Type1-7.2-6.fc9.noarch
xorg-x11-font-utils-7.2-6.fc10.i386
xterm-242-2.fc10.i386




How reproducible:
Always.



Steps to Reproduce:
1. start xterm or emacs
2. try to input ~ using dead-key combination of "altgr" + "~" + "space"


Actual results:
xterm: A plain space character.
emacs: Error message "<dead-tilde> is undefined"


Expected results:
I should be getting the correct character "~".


Additional info:
The following error message comes from imsettings-applet everytime I press any key on xterm (including modifiers like shift and alt):
[BUG][ 1238531428.714163] xim_proxy_client_protocol_real_xim_forward_event: The pending key event counter is overflowed

And the following warning comes from imsettings-applet when I start xterm:
W[ 1238531541.790674]:Error while processing a value type NestedList: Error while processing a value type XFontSet: Unable to compose a value type XFontSet properly due to the size difference: expected size: 129, actual size: 132
Comment 1 Akira TAGOH 2009-03-31 21:30:20 EDT
try to gather the correct information for your keyboard settings:

% xprop -root | grep XKB

and for your locale:

% locale

and for current IM settings:

% imsettings-list
% ls -l ~/.xinputrc
Comment 2 Joni Yrjana 2009-04-01 12:08:54 EDT
Thanks, the output of those commands led me in right direction (.xinputrc points to scim configuration), rebooting once more helped.

When I noticed that the dead-keys were not working, I tried to log out and back in, it didn't help. Then I created a new user and switched to that user, dead-keys were not working with that new user neither. Then I rebooted and that didn't help. Then I removed all the scim packages and rebooted, that didn't help. Then I re-installed the scim packages and rebooted, then for a while the dead-keys were working, but I had gotten the scim tray-icon which was new to me so I tried to quit it, it crashed and my dead-keys went back to no-working condition. Rebooting after that solved the problem, I guess just logging out/back in would have also.

Between all the steps above I messed with the keyboard settings, and at some point the .xinputrc link had been made (see the timestamp of the file). My newly created user account doesn't have the .xinputrc -link and dead-keys are not working with that user. My current user and that user have both been created with the adduser -command. The same problem happens (no .xinputrc) if using the GUI tool to add a new user and dead-keys are not working for the new user.

Below is the requested information even though it's now working, the only difference between these and with the non-working users is the missing .xinputrc link from the non-working users.
$ xprop -root | grep XKB
_XKB_RULES_NAMES_BACKUP(STRING) = "evdev", "pc105", "fi", "", ""
_XKB_RULES_NAMES(STRING) = "evdev", "evdev", "fi", "", ""
$ locale
LANG=en_US.UTF-8
LC_CTYPE="en_US.UTF-8"
LC_NUMERIC="en_US.UTF-8"
LC_TIME="en_US.UTF-8"
LC_COLLATE="en_US.UTF-8"
LC_MONETARY="en_US.UTF-8"
LC_MESSAGES="en_US.UTF-8"
LC_PAPER="en_US.UTF-8"
LC_NAME="en_US.UTF-8"
LC_ADDRESS="en_US.UTF-8"
LC_TELEPHONE="en_US.UTF-8"
LC_MEASUREMENT="en_US.UTF-8"
LC_IDENTIFICATION="en_US.UTF-8"
LC_ALL=
$ imsettings-list
* 1: SCIM (recommended)
$ ls -l ~/.xinputrc 
lrwxrwxrwx 1 joyr joyr 33 2009-03-31 22:27 /home/joyr/.xinputrc -> /etc/X11/xinit/xinput.d/scim.conf
$
Comment 3 Joni Yrjana 2009-04-01 12:24:43 EDT
(In reply to comment #2)
> My current user and that user have both been
> created with the adduser -command.

Correction to the above, my current user (joyr) was created during the installation of Fedora.
Comment 4 Akira TAGOH 2009-04-07 05:30:06 EDT
Please give me one more information. what happens if you run xterm and emacs with XMODIFIERS=@im=none?
Comment 5 Joni Yrjana 2009-04-07 13:26:37 EDT
I ran the following from xterm:

XMODIFIERS=@im=none xterm
XMODIFIERS=@im=none emacs

I tested both with my current user (working dead-keys without the environment variable, has .xinputrc and all other settings as in comment 2), and also tested with a newly created user (missing .xinputrc and dead-keys not working without that environment variable).

Same results with both users: dead keys worked correctly in both applications.
Comment 6 Akira TAGOH 2009-04-08 02:54:19 EDT
how about XMODIFIERS=@im=SCIM then?
Comment 7 Joni Yrjana 2009-04-08 04:54:38 EDT
Mixed results with XMODIFIERS=@im=SCIM

With my current user that has the .xinputrc:
xterm : dead keys work
emacs : dead keys work

With the new user without .xinputrc:
xterm : dead keys work
emacs : dead keys do not work
        I get the error message "<dead-xxx> is undefined"
        where xxx is the dead-key pressed
Comment 8 Johan Vromans 2009-04-14 16:44:45 EDT
See also https://bugzilla.redhat.com/show_bug.cgi?id=479336
Comment 9 Johan Vromans 2009-04-14 16:45:20 EDT
See also https://bugzilla.redhat.com/show_bug.cgi?id=493017
Comment 10 Bug Zapper 2009-11-18 06:39:17 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Jens Petersen 2009-11-24 00:30:43 EST
This sounds like a duplicate of bug 505100.
Comment 12 Akira TAGOH 2009-11-25 00:30:22 EST
We don't use XIM support in imsettings anymore since F-11. closing this as UPSTREAM.